pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA = tinyalsa.pc
EXTRA_DIST = $(pkgconfig_DATA)

AM_CFLAGS := -I $(top_srcdir)/include
AM_CFLAGS += -Wundef \
        -Wstrict-prototypes \
        -Wno-trigraphs \
        -g -O0 \
        -fno-inline \
        -fno-short-enums \
        -fpic

c_sources = git/src/mixer.c \
            git/src/pcm.c \
            git/src/mixer_hw.c \
            git/src/mixer_plugin.c \
            git/src/pcm_hw.c \
            git/src/pcm_plugin.c \
            git/src/snd_utils.c

h_sources = git/include/tinyalsa/asoundlib.h \
            git/include/tinyalsa/mixer.h \
            git/include/tinyalsa/mixer_plugin.h \
            git/include/tinyalsa/pcm.h \
            git/include/tinyalsa/pcm_plugin.h \
            git/include/tinyalsa/version.h \
            git/include/tinyalsa/attributes.h

library_includedir = $(includedir)/tinyalsa/
library_include_HEADERS = $(h_sources)

lib_LTLIBRARIES = libtinyalsa.la
libtinyalsa_la_CC = @CC@
libtinyalsa_la_SOURCES = $(c_sources)
libtinyalsa_la_LIBADD = -lcutils -ldl
libtinyalsa_la_CFLAGS = $(AM_CFLAGS)
libtinyalsa_la_LDFLAGS = -shared -version-info 1:0:0

bin_PROGRAMS = tinyplay tinycap tinymix
tinyplay_SOURCES = git/utils/tinyplay.c
tinyplay_LDADD = libtinyalsa.la -lcutils
tinyplay_CFLAGS = $(AM_CFLAGS)

tinycap_SOURCES = git/utils/tinycap.c
tinycap_LDADD = libtinyalsa.la -lcutils
tinycap_CFLAGS = $(AM_CFLAGS)

tinymix_SOURCES = git/utils/tinymix.c
tinymix_LDADD =  libtinyalsa.la -lcutils
tinymix_CFLAGS = $(AM_CFLAGS)
